Adds the settings for configuring one third-party service integration. These settings apply to all databases managed in the specified MongoDB Cloud project. Each project can have only one configuration per {INTEGRATION-TYPE}.
- Project Owner
Path parameters
-
Human-readable label that identifies the service which you want to integrate with MongoDB Cloud.
Values are
PAGER_DUTY,SLACK,DATADOG,NEW_RELIC,OPS_GENIE,VICTOR_OPS,WEBHOOK,HIP_CHAT,PROMETHEUS, orMICROSOFT_TEAMS. -
Unique 24-hexadecimal digit string that identifies your project. Use the /groups endpoint to retrieve all projects to which the authenticated user has access.
NOTE: Groups and projects are synonymous terms. Your group id is the same as your project id. For existing groups, your group/project id remains the same. The resource and corresponding endpoints use the term groups.
Format should match the following pattern:
^([a-f0-9]{24})$.
Query parameters
-
Flag that indicates whether Application wraps the response in an
envelopeJSON object. Some API clients cannot access the HTTP response headers or status code. To remediate this, set envelope=true in the query. Endpoints that return a list of results use the results object as an envelope. Application adds the status parameter to the response body.Default value is
false. -
Flag that indicates whether MongoDB Cloud calculates the total number of items for the response. When set to
false, MongoDB Cloud may skip an additional count operation. The response may still includetotalCountwhen the count is available without additional calculation.Default value is
true. -
Number of items that the response returns per page.
Minimum value is
1, maximum value is500. Default value is100. -
Number of the page that displays the current set of the total objects that the response returns.
Minimum value is
1. Default value is1. -
Flag that indicates whether the response body should be in the prettyprint format.
Default value is
false.Prettyprint
atlas api thirdPartyIntegrations createGroupIntegration --help
import (
"os"
"context"
"log"
sdk "go.mongodb.org/atlas-sdk/v20250312001/admin"
)
func main() {
ctx := context.Background()
clientID := os.Getenv("MONGODB_ATLAS_CLIENT_ID")
clientSecret := os.Getenv("MONGODB_ATLAS_CLIENT_SECRET")
// See https://dochub.mongodb.org/core/atlas-go-sdk-oauth
client, err := sdk.NewClient(sdk.UseOAuthAuth(clientID, clientSecret))
if err != nil {
log.Fatalf("Error: %v", err)
}
params = &sdk.CreateGroupIntegrationApiParams{}
sdkResp, httpResp, err := client.Third - PartyIntegrationsApi.
CreateGroupIntegrationWithParams(ctx, params).
Execute()
}
curl --include --header "Authorization: Bearer ${ACCESS_TOKEN}" \
--header "Accept: application/vnd.atlas.2025-03-12+json" \
--header "Content-Type: application/json" \
-X POST "https://cloud.mongodb.com/api/atlas/v2/groups/{groupId}/integrations/{integrationType}" \
-d '{ <Payload> }'
curl --user "${PUBLIC_KEY}:${PRIVATE_KEY}" \
--digest --include \
--header "Accept: application/vnd.atlas.2025-03-12+json" \
--header "Content-Type: application/json" \
-X POST "https://cloud.mongodb.com/api/atlas/v2/groups/{groupId}/integrations/{integrationType}" \
-d '{ <Payload> }'
{
"id": "string",
"type": "PAGER_DUTY",
"region": "US",
"serviceKey": "****************************7890"
}
{
"id": "string",
"type": "SLACK",
"apiToken": "**********************************************************************abcd",
"channelName": "alerts",
"teamName": "MongoDB"
}
{
"id": "string",
"type": "DATADOG",
"apiKey": "****************************a23c",
"region": "US",
"sendCollectionLatencyMetrics": false,
"sendDatabaseMetrics": false,
"sendQueryStatsMetrics": false,
"sendShardingMetrics": false,
"sendUserProvidedResourceTags": false
}
{
"id": "string",
"type": "NEW_RELIC",
"accountId": "bcc3c81b344a6030a3935c2527e2216535af7718",
"licenseKey": "bc3768f44193c282b2688ab39e00f8e4fc8d75ea",
"readToken": "193c96aee4a3ac640b98634562e2631f17ae0a69",
"writeToken": "a67b10e5cd7f8fb6a34b501136c409f373edc218"
}
{
"id": "string",
"type": "OPS_GENIE",
"apiKey": "********************************a111",
"region": "US"
}
{
"id": "string",
"type": "VICTOR_OPS",
"apiKey": "********************************9abc",
"routingKey": "test routing"
}
{
"id": "string",
"type": "WEBHOOK",
"bodyTemplate": "{\"alert\":\"${id}\",\"severity\":\"${severity}\"}",
"headersTemplate": "{\"X-Alert-Id\":\"${id}\",\"X-Event-Type\":\"${eventType}\"}",
"secret": "string",
"url": "https://webhook.com/****"
}
{
"id": "string",
"type": "PROMETHEUS",
"enabled": true,
"password": "string",
"sendUserProvidedResourceTagsEnabled": false,
"serviceDiscovery": "http",
"username": "prom_user_618d48e05277a606ed2496fe"
}
{
"id": "string",
"type": "MICROSOFT_TEAMS",
"microsoftTeamsWebhookUrl": "https://webhook.com/****"
}
# Headers
# Payload
{
"links": [
{
"href": "https://cloud.mongodb.com/api/atlas",
"rel": "self"
}
],
"results": [
{
"id": "string",
"type": "PAGER_DUTY",
"region": "US",
"serviceKey": "****************************7890"
}
],
"totalCount": 42
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) No provider AWS exists.",
"error": 400,
"errorCode": "VALIDATION_ERROR",
"reason": "Bad Request"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 401,
"errorCode": "NOT_ORG_GROUP_CREATOR",
"reason": "Unauthorized"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 403,
"errorCode": "CANNOT_CHANGE_GROUP_NAME",
"reason": "Forbidden"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot find resource AWS",
"error": 404,
"errorCode": "RESOURCE_NOT_FOUND",
"reason": "Not Found"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint) Cannot delete organization link while there is active migration in following project ids: 60c4fd418ebe251047c50554",
"error": 409,
"errorCode": "CANNOT_DELETE_ORG_ACTIVE_LIVE_MIGRATION_ATLAS_ORG_LINK",
"reason": "Conflict"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 429,
"errorCode": "RATE_LIMITED",
"reason": "Too Many Requests"
}
{
"detail": "(This is just an example, the exception may not be related to this endpoint)",
"error": 500,
"errorCode": "UNEXPECTED_ERROR",
"reason": "Internal Server Error"
}